<div class="main">
    <div class="image" *ngIf ="productForm.get('image').value.length !== 0">
        <img src="{{ productForm.get('image').value }}" alt="">
    </div>
    <div class="form">
        <form [formGroup]="productForm">
            <mat-form-field>
                <mat-label>Nombre</mat-label>
                <input matInput formControlName="name" placeholder="Nombre" required>
              </mat-form-field>

              <br>

              <mat-form-field>
                <mat-label>Descripción</mat-label>
                <input matInput formControlName="description" placeholder="Cantidad" required>
              </mat-form-field>

              <br>

              <mat-form-field>
                <mat-label>Costo unitario</mat-label>
                <input matInput formControlName="cost" placeholder="Costo" required>
              </mat-form-field>

              <br>

              <mat-form-field>
                <mat-label>Cantidad a ingresar en inventario</mat-label>
                <input matInput formControlName="amount" placeholder="Cantidad" required>
              </mat-form-field>

              <br>

              <mat-form-field>
                <mat-label>Url de la imagen</mat-label>
                <input matInput formControlName="image" placeholder="Imagen" required>
              </mat-form-field>
        </form>
        <div class="btn">
          <span *ngIf="injectedData.isEdit">
            <button mat-button class="add" (click)="EditProduct()">Editar</button> &ensp;
          </span>
          <span *ngIf="!injectedData.isEdit">
            <button mat-button class="add" (click)="AddProduct()">Agregar</button> &ensp;
          </span>
            <button mat-button class="cancel" (click)="closeDialog()">Cancelar</button>
        </div>
    </div>
</div>